RLSA-2023:5997

See a problem?
Import Source
https://storage.googleapis.com/resf-osv-data/RLSA-2023:5997.json
JSON Data
https://api.osv.dev/v1/vulns/RLSA-2023:5997
Related
Published
2023-10-24T18:36:13.950955Z
Modified
2023-10-24T18:37:53.709612Z
Summary
Important: python3 security update
Details

Python is an interpreted, interactive, object-oriented programming language, which includes modules, classes, exceptions, very high level dynamic data types and dynamic typing. Python supports interfaces to many system calls and libraries, as well as to various windowing systems.

Security Fix(es):

  • python: TLS handshake bypass (CVE-2023-40217)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References
Credits
    • Rocky Enterprise Software Foundation
    • Red Hat

Affected packages

Rocky Linux:8 / python3

Package

Name
python3
Purl
pkg:rpm/rocky-linux/python3?distro=rocky-linux-8&epoch=0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
0:3.6.8-51.el8_8.2.rocky.0